Counting visitors that month
curl --request GET \
--url https://api.vizito.eu/api/visitors/monthly/total/{company_id}/{datetimestamp} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vizito.eu/api/visitors/monthly/total/{company_id}/{datetimestamp}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vizito.eu/api/visitors/monthly/total/{company_id}/{datetimestamp}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vizito.eu/api/visitors/monthly/total/{company_id}/{datetimestamp}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"totalMonthlyVisitors": 123
}{
"error": "Invalid API key"
}Reporting
Counting visitors that month
GET
/
visitors
/
monthly
/
total
/
{company_id}
/
{datetimestamp}
Counting visitors that month
curl --request GET \
--url https://api.vizito.eu/api/visitors/monthly/total/{company_id}/{datetimestamp} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vizito.eu/api/visitors/monthly/total/{company_id}/{datetimestamp}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.vizito.eu/api/visitors/monthly/total/{company_id}/{datetimestamp}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vizito.eu/api/visitors/monthly/total/{company_id}/{datetimestamp}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"totalMonthlyVisitors": 123
}{
"error": "Invalid API key"
}Authorizations
An API key issued in the Backoffice, sent as Authorization: Bearer vzk_<key id>_<secret>.
A Microsoft Entra ID access token obtained with the client credentials
grant is accepted on the same header. The same value is also accepted in
an X-API-Key header.
Path Parameters
The location. A 24-character hexadecimal id.
Pattern:
^[0-9a-fA-F]{24}$Example:
"5f2a1b9c4d3e2f0011223344"
Response
Visits in the calendar month.

